Bug 1268249 - (CVE-2015-7674) CVE-2015-7674 gdk-pixbuf: Heap overflow when scaling a GIF file
CVE-2015-7674 gdk-pixbuf: Heap overflow when scaling a GIF file
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20151001,repor...
: Security
Depends On: 1273775 1273776
Blocks: 1268250
  Show dependency treegraph
 
Reported: 2015-10-02 05:51 EDT by Adam Mariš
Modified: 2015-10-23 08:59 EDT (History)
6 users (show)

See Also:
Fixed In Version: gdk-pixbuf 2.32.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-23 08:58:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2015-10-02 05:51:55 EDT
Heap overflow flaw was found in the gdk-pixbuf implementation triggered by the scaling of gif file. Affected versions are < 2.32.1.

Upstream patch:

https://git.gnome.org/browse/gdk-pixbuf/commit/?id=e9a5704edaa9aee9498f1fbf6e1b70fcce2e55aa

CVE request:

http://seclists.org/oss-sec/2015/q4/5
Comment 1 Adam Mariš 2015-10-05 08:09:16 EDT
Reproducer and detailed backtrace can be found here:

http://seclists.org/oss-sec/2015/q4/32
Comment 2 Adam Mariš 2015-10-21 04:27:19 EDT
Created gdk-pixbuf2 tracking bugs for this issue:

Affects: fedora-all [bug 1273775]
Comment 3 Adam Mariš 2015-10-21 04:27:26 EDT
Created mingw-gdk-pixbuf tracking bugs for this issue:

Affects: fedora-all [bug 1273776]
Comment 4 Stefan Cornelius 2015-10-22 08:33:59 EDT
Fedora / RHEL7 are affected in the same way - segfault.

RHEL6 is affected, too, but in a different manner: the process gets into an infinite (or at least very long, >60s) loop. The patch linked in comment #0 does not fix this in RHEL6.
Comment 5 Stefan Cornelius 2015-10-23 08:55:03 EDT
The infinite loop in RHEL6 is annoying but shouldn't qualify as security issue.

Note You need to log in before you can comment on or make changes to this bug.